Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 536276

Summary: <net-proxy/squid-3.5.10: Heap-based buffer overflow vulnerability (CVE-2014-6270)
Product: Gentoo Security Reporter: GLSAMaker/CVETool Bot <glsamaker>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: eras
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: B2 [glsa cve]
Package list:
Runtime testing required: ---

Description GLSAMaker/CVETool Bot gentoo-dev 2015-01-11 02:17:26 UTC
CVE-2014-6270 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-6270):
  Off-by-one error in the snmpHandleUdp function in snmp_core.cc in Squid 2.x
  and 3.x, when an SNMP port is configured, allows remote attackers to cause a
  denial of service (crash) or possibly execute arbitrary code via a crafted
  UDP SNMP request, which triggers a heap-based buffer overflow.
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-04-05 07:35:26 UTC
Original Advisory:

http://www.squid-cache.org/Advisories/SQUID-2014_3.txt

Upstream commits fixing the issue:

http://bazaar.launchpad.net/~squid/squid/trunk/revision/13574

http://bazaar.launchpad.net/~squid/squid/trunk/revision/13582


The issue was fixed in >=net-proxy/squid-3.4.8.

Assigned to existing GLSA.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2016-07-09 01:51:57 UTC
This issue was resolved and addressed in
 GLSA 201607-01 at https://security.gentoo.org/glsa/201607-01
by GLSA coordinator Aaron Bauman (b-man).